SET ":user" = 'shannon';
INSERT INTO activities(user, activity, ts)
SELECT :user, :activity, COALESCE(CASE COALESCE(:ts, '')
  WHEN '' THEN NULL
  ELSE datetime(:ts, 'utc')
END, CURRENT_TIMESTAMP)
WHERE COALESCE(:activity, '') <> ''
RETURNING 'redirect' AS component, '/activity' AS link
;

SET ":title" = 'Activities';
SELECT 'shell' AS component
, 'dark' AS theme
, :title AS title
, 'fluid' AS layout
, '/activity' AS link
;

SELECT 'text' AS component
, '<style>
.card > .card-body:has(.card-body > .d-flex + .chart) {
    margin-top: 0 !important;
    padding: 0;
}
.card > .card-body:has(.card-body > .d-flex + .chart) > .card-title {
    position: absolute;
    z-index: 99;
    margin: 0;
    padding: 0 10px;
}
.card > .card-body:has(> .d-flex + .chart) {
    padding: 0;
}
.card > .card-body > .d-flex {
    font-size: 0.3em;
    padding: 0 120px;
}
.card > .card-body > .d-flex {
    height: 0;
}
.col:has(+ .col .apexcharts-legend-text) .card > .card-body:has(> .d-flex + .chart) {
    max-height: 80px;
}
.apexcharts-yaxis {
    display: none;
}
.col:has(+ .col .apexcharts-legend-text) .apexcharts-legend {
    /* height: 0; // modifying the height alters the chart size */
    visibility: hidden;
}
</style>' AS html
;

SELECT 'form' AS component
, '/activity/index.sql' AS action
;
SELECT 'select' AS type
, 'Activity' AS label
, 'activity' AS name
, TRUE AS create_new
, TRUE AS dropdown
, (SELECT json_group_array(json_object(
    'label', activity,
    'value', activity,
    'selected', activity = 'Unknown'
  )) FROM activities WHERE user = :user
) AS options
, 7 AS width
;
SELECT 'datetime-local' AS type
, 'ts' AS name
, 'Date and Time' AS label
, '' AS value
, 4 AS width
;

SELECT 'button' AS component
SELECT 'Week' AS title
, 1 AS width
, '/activity?week=week' AS link
;

SELECT 'card' AS component
, 1 AS columns
;

SELECT date(datetime(CURRENT_TIMESTAMP, '-'|| value ||'  days'), 'localtime') AS title
, '/activity/chart.sql'||
'?user='||:user||
'&date='|| REPLACE(datetime(CURRENT_TIMESTAMP, '-'|| value ||'  days'), ' ', '+') ||
'&_sqlpage_embed' AS embed
FROM json_each(json(CASE $week WHEN 'week' THEN '[0, 1, 2, 3, 4, 5, 6, 7]' ELSE '[0, 1]' END))
;
