SELECT 'shell' AS component
, 'dark' AS theme
, 'Portal' AS title
, '/static/shandanone-small.png' AS favicon
, '/static/shandanone2.png' AS image
, (SELECT json_object(
    'title', 'Utilities',
    'icon', 'calculator',
    'submenu', json_group_array(json_object(
      'title', title,
      'icon', icon,
      'link', link
    ))
  )
  FROM sqlpage_cards
  WHERE grouping = 2) AS menu_item
, (SELECT json_object(
    'title', 'Apps',
    'icon', 'apps',
    'submenu', json_group_array(json_object(
      'title', title,
      'icon', icon,
      'link', link
    ))
  )
  FROM sqlpage_cards
  WHERE grouping = 3) AS menu_item
, (SELECT json_object(
    'title', 'RSS',
    'icon', 'rss',
    'submenu', json_group_array(json_object(
      'title', title,
      'icon', 'file-rss',
      'link', link
    ))
  )
  FROM sqlpage_cards
  WHERE grouping = 4) AS menu_item
;

SELECT 'text' AS component
, '<style>
.card-img-top:has(+ .bg-rss) {
    width: 40%;
    margin: 10% 50% 10% 10%;
}
.card-img-top {
    width: 40%;
    margin: 10% 30% 10% 30%;
}
/* make row-cols-sm-2 behave like row-cols-2 */
@media (max-width: 500px) {
  .row-cols-sm-2>* {
    flex: 0 0 auto;
    width: 50%
  }
}
</style>' AS html
;
SELECT 'card' AS component
, 4 AS columns
;
SELECT title
, link
, top_image
, description_md
, color
FROM sqlpage_cards
WHERE grouping = 2
;
SELECT 'divider' AS component;
SELECT 'card' AS component
, 4 AS columns
;
SELECT title
, link
, top_image
, description_md
, color
FROM sqlpage_cards
WHERE grouping = 3
;
SELECT 'divider' AS component;
SELECT 'card' AS component
, 4 AS columns
;
SELECT title
, link
, 'https://upload.wikimedia.org/wikipedia/en/thumb/4/43/Feed-icon.svg/128px-Feed-icon.svg.png' AS top_image
, description_md
, 'rss' AS color
FROM sqlpage_cards
WHERE grouping = 4
;
