DROP TABLE IF EXISTS sqlpage_cards;
CREATE TABLE IF NOT EXISTS sqlpage_cards (
	link text,
	title text,
	top_image text,
	description_md text,
	color text,
	grouping int,
	icon text
);
INSERT INTO sqlpage_cards
VALUES
(
	'/feed/news/rss.html',
	'News Feed',
	NULL,
	'Notable events but not weather or sports',
	NULL,
	4,
	NULL
),
(
	'/feed/discovery/rss.html',
	'Discovery Feed',
	NULL,
	'Cool and inspirational articles',
	NULL,
	4,
	NULL
),
(
	'/feed/humour/rss.html',
	'Humour Feed',
	NULL,
	'Humourous articles, memes or anything funny',
	NULL,
	4,
	NULL
),
(
	'/clip?',
	'Clipboard',
	'https://shandan.one/static/clip/clip-favicon_square.svg',
	'Paste snippets to share via tiny URL',
	'green',
	2,
	'clipboard'
),
(
	'/goto?',
	'Short URL',
	'https://shandan.one/static/goto/chain-link2fr-3-2.svg',
	'Make long URLs shorter and easy to type and say',
	'pinterest',
	2,
	'link'
),
(
	'/upload?',
	'Share a File',
	'https://shandan.one/static/upload/upload-favicon_square.svg',
	'Upload a file and generate a short URL to share easily',
	'yellow',
	2,
	'cloud-share'
),
(
	'/code?',
	'Track Vouchers',
	'https://shandan.one/static/code/qr.svg',
	'Save scanned voucher codes to keep them handy and not forgotten',
	'azure',
	2,
	'barcode'
),
(
	'https://mealie.shandan.one/g/das',
	'Recipes',
	'data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" role="img" aria-hidden="true" class="v-icon__svg" style="font-size: 100px; height: 100px; width: 100px; fill: rgb(229, 131, 37)"><path d="M8.1,13.34L3.91,9.16C2.35,7.59 2.35,5.06 3.91,3.5L10.93,10.5L8.1,13.34M13.41,13L20.29,19.88L18.88,21.29L12,14.41L5.12,21.29L3.71,19.88L13.36,10.22L13.16,10C12.38,9.23 12.38,7.97 13.16,7.19L17.5,2.82L18.43,3.74L15.19,7L16.15,7.94L19.39,4.69L20.31,5.61L17.06,8.85L18,9.81L21.26,6.56L22.18,7.5L17.81,11.84C17.03,12.62 15.77,12.62 15,11.84L14.78,11.64L13.41,13Z"></path></svg>',
	'Share recipes and meal plans',
	'yellow',
	3,
	'tools-kitchen-2'
),
(
	'https://shandan.one/grocery/internal/apply.sql?groups[]=Fish,%20Meat,%20Eggs&apply=Apply&title=Trend',
	'Trending Prices',
	'https://shandan.one/grocery/favicon_square.svg',
	'Plot charts showing historic price data',
	'youtube',
	3,
	'shopping-cart'
),
(
	'https://cropswap.shandan.one/',
	'Taupiri Crop Swap',
	'https://cropswap.shandan.one/user/themes/quark/images/favicon.png',
	'Local crop sharing community',
	'lime',
	3,
	'plant'
),
(
	'https://mail.cropswap.shandan.one/',
	'Crop Swap Mail',
	'https://www.mhonarc.org/MHonArc/logo/xmhastampw_t.png.pagespeed.ic.JEPpZUA3TZ.webp',
	'Member mailing list',
	'github',
	3,
	'mail'
),
(
	NULL, --'https://wol.shandan.one?location=outside',
	'Wake a Device',
	'data:image/svg+xml,<svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="rgb(205,57,57)"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-power"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M7 6a7.75 7.75 0 1 0 10 0" /><path d="M12 4l0 8" /></svg>',
	'Wake a device from [home](https://wol.shandan.one?location=home) or [outside](https://wol.shandan.one?location=outside)',
	'red',
	3,
	'power'
),
(
	'https://shandan.one/pgadmin4',
	'pgAdmin',
	'https://raw.githubusercontent.com/postgres/pgadmin4/c1ba645dceed5c9551a5f408e37a14d1041ee598/web/pgadmin/static/favicon.ico',
	'Manage And access postgresql databases',
	'azure',
	3,
	'database'
),
(
	'https://shandan.one/guacamole',
	'Guacamole',
	'https://raw.githubusercontent.com/apache/guacamole-website/main/images/logos/guac-classic-logo.svg',
	'Remote desktop',
	'teal',
	3,
	'avocado'
),
(
	'https://gogs.shandan.one',
	'Gogs',
	'https://gogs.shandan.one/img/favicon.png',
	'Manage and access git repositories',
	'yellow',
	3,
	'brand-git'
),
(
	'https://syncthing.shandan.one',
	'Syncthing',
	'https://syncthing.net/img/logo-horizontal.svg',
	'Monitor and configure file shares',
	'blue',
	3,
	'topology-complex'
),
(
	'https://shandan.one/wekan',
	'WeKan',
	'https://raw.githubusercontent.com/wekan/wekan/master/public/logo-header.png',
	'Kanban board

Manage projects and tasks',
	'teal',
	3,
	'layout-kanban'
),
(
	'https://mouse.shandan.one/#remote-mouse',
	'Remote Touchpad',
	'https://raw.githubusercontent.com/Unrud/remote-touchpad/master/webdata/icon.png',
	'Use device as touchpad

Turn your device''s touchscreen into a remote touchpad',
	'github',
	3,
	'pointer'
),
(
	'https://gateway.shandan.one',
	'Gateway',
	'https://gateway.shandan.one/favicon.ico?t=6dcc8b66',
	'Access the gateway

Manage local LAN and internet connection settings',
	'cyan',
	3,
	'router'
),
(
	'https://listgarden.shandan.one',
	'ListGarden',
	'https://www.wikicalc.org/images/listgardenlogo48.gif',
	'Manage RSS Feeds

Publish news items and create new feeds',
	'green',
	3,
	'seeding'
),
(
	'https://shandan.one/pyapi/random',
	'Prayer Generator',
	'',
	'Generate a template prayer following the form of the model prayer outlined in Matthew&nbsp;6:9‑13 and Luke&nbsp;11:2‑4',
	'orange',
	3,
	'pray'
)
;

